﻿using System.Security.Claims;

namespace Hotline.Api.Token;

public static class ClaimExtensions
{
    public static string? FindFirstValue(this ClaimsPrincipal user, string claimType)
    {
        return user.Claims.FirstOrDefault(d => d.Type == claimType)?.Value;
    }
}