﻿using Hotline.FlowEngine.Notifies;
using Hotline.Settings;
using Hotline.Share.Enums.Order;
using MediatR;

namespace Hotline.Application.Handlers.FlowEngine;

public class EndWorkflowHandler : INotificationHandler<EndWorkflowNotify>
{

    public EndWorkflowHandler()
    {

    }

    /// <summary>Handles a notification</summary>
    /// <param name="notification">The notification</param>
    /// <param name="cancellationToken">Cancellation token</param>
    public async Task Handle(EndWorkflowNotify notification, CancellationToken cancellationToken)
    {
        var workflow = notification.Workflow;

        switch (workflow.ModuleCode)
        {
            case WorkflowModuleConsts.TelRestApply:
                //TODO 审核通过
                //notification.Workflow.ExternalId;
                break;

        }
    }
}