﻿using Hotline.FlowEngine.Workflows;
using Hotline.Orders;
using Hotline.Share.Enums.Order;
using Hotline.Users;
using XF.Domain.Dependency;
using XF.Domain.Entities;
using XF.Domain.Exceptions;

namespace Hotline.Application.Orders;

public class OrderApplication : IOrderApplication, IScopeDependency
{
    private readonly IWorkflowDomainService _workflowDomainService;
    private readonly IOrderRepository _orderRepository;

    public OrderApplication(
        IWorkflowDomainService workflowDomainService,
        IOrderRepository orderRepository
        )
    {
        _workflowDomainService = workflowDomainService;
        _orderRepository = orderRepository;
    }
}