﻿using Hotline.FlowEngine.Workflows;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.FlowEngine;

public class WorkflowTraceRepository : BaseRepository<WorkflowTrace>, IWorkflowTraceRepository, IScopeDependency
{
    public WorkflowTraceRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
    {
    }
}