﻿using Hotline.Orders;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Orders
{
    public class TimeLimitRepository : BaseRepository<TimeLimit>, ITimeLimitRepository, IScopeDependency
    {
        public TimeLimitRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {
        }
    }
}
