﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Settings;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.System
{
    public class SysDicDataRepository : BaseRepository<SysDicData>, ISysDicDataRepository, IScopeDependency
    {
        public SysDicDataRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {
        }
    }
}
