﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Settings;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.System
{
    public class SystemDataTableRepository : BaseRepository<SystemDataTable>, ISystemDataTableRepository, IScopeDependency
    {
        public SystemDataTableRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {
        }
    }
}
