﻿using Hotline.Share.Enums.Order;

namespace Hotline.Share.Dtos.Order;

public class OrderReportDto : OrderExtensionDto
{
    #region 举报详情

    /// <summary>
    /// 举报问题类别
    /// </summary>
    public string ReportClassifyCode { get; set; }

    public string ReportClassify { get; set; }

    /// <summary>
    /// 举报目标，销售方式为“网购”时展示该字段且必填
    /// </summary>
    public string? ReportTargetCode { get; set; }
    public string? ReportTarget { get; set; }

    #endregion
}