﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

public enum EOrderStatus
{
    /// <summary>
    /// 草稿
    /// </summary>
    [Description("草稿")]
    Temporary = 0,

    /// <summary>
    /// 待签收
    /// </summary>
    [Description("待签收")]
    WaitForSign = 10,

    /// <summary>
    /// 办理中
    /// </summary>
    [Description("办理中")]
    Handling = 20,

    /// <summary>
    /// 会签中
    /// </summary>
    [Description("会签中")]
    Countersigning = 30,

    /// <summary>
    /// 退回
    /// </summary>
    [Description("退回")]
    Return = 40,

    /// <summary>
    /// 办理完成
    /// </summary>
    [Description("办理完成")]
    Completed = 50,

    /// <summary>
    /// 已归档
    /// </summary>
    [Description("已归档")]
    Filed = 60,
}