﻿using Hotline.Share.Notifications.Base;
using MediatR;

namespace Hotline.Share.Notifications
{
    public class DtmfNotification: BaseEvent, INotification
    {
        public DtmfVisitorOrOuter? Visitor { get; set; }

        public DtmfVisitorOrOuter? Outer { get; set; }
    }

    public class DtmfVisitorOrOuter
    {
        public string Id { get; set; }

        public string From { get; set; }

        public string To { get; set; }

        public string CallId { get; set; }

        public string Info { get; set; }

        public string TrunkId { get; set; }

        public string MenuId { get; set; }
    }
}
