﻿using Hotline.Share.Requests;

namespace Hotline.CallCenter.Manage
{
    public interface IVoiceFileDomainService
    {
        /// <summary>
        /// 查询语音文件
        /// </summary>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<List<string>> VoiceQueryListAsync(CancellationToken cancellationToken);

        /// <summary>
        /// 删除语音文件（多个文件使用“|”分隔）
        /// </summary>
        /// <param name="request"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task RemoveVoiceFileAsync(RemoveVoiceFileRequest request, CancellationToken cancellationToken);
    }
}
