﻿using System.ComponentModel;

namespace Hotline.CallCenter.Tels;

/// <summary>
/// 分机状态
/// </summary>
public enum ETelStatus
{
    /// <summary>
    /// 空闲可用
    /// </summary>
    [Description("空闲")]
    Ready = 0,
    /// <summary>
    /// 振铃、回铃或通话中
    /// </summary>
    [Description("繁忙")]
    Active=1,
    /// <summary>
    /// 模拟分机摘机后等待拨号以及拨号过程中
    /// </summary>
    Progress=2,
    /// <summary>
    /// 分机离线
    /// </summary>
    [Description("离线")]
    Offline=3,
    /// <summary>
    /// 模拟分机听催挂音时的状态
    /// </summary>
    Offhook=4,

}