﻿using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.FlowEngine.Workflows;

/// <summary>
/// 流程补充信息
/// </summary>
public class WorkflowSupplement : CreationEntity
{
    public string WorkflowId { get; set; }

    /// <summary>
    /// 补充意见
    /// </summary>
    [SugarColumn(Length = 2000)]
    public string Opinion { get; set; }

    /// <summary>
    /// 附件
    /// </summary>
    [SugarColumn(ColumnDataType = "varchar(2000)", IsJson = true)]
    public List<string> Additions { get; set; } = new();
}