﻿using Hotline.Share.Enums.Order;
using SqlSugar;

namespace Hotline.Orders;

/// <summary>
/// 工单扩展信息 12315-举报
/// </summary>
public class OrderReport : OrderExtensionEntity
{
    #region 举报详情

    /// <summary>
    /// 举报问题类别
    /// </summary>
    public string ReportClassifyCode { get; set; }

    public string ReportClassify { get; set; }

    /// <summary>
    /// 举报目标，销售方式为“网购”时展示该字段且必填
    /// </summary>
    [SugarColumn(IsNullable = true)]
    public string? ReportTargetCode { get; set; }

    [SugarColumn(IsNullable = true)]
    public string? ReportTarget { get; set; }

    #endregion
}
