﻿using Hotline.Identity.Roles;
using XF.Domain.Entities;

namespace Hotline.SeedData;

public class RoleSeedData : ISeedData<Role>
{
    public static readonly string Id = "08dab1a3-5448-4712-869e-6e2dfd3e0cc6";

    /// <summary>
    /// 种子数据
    /// </summary>
    /// <returns></returns>
    public IEnumerable<Role> HasData() =>
        new[]
        {
            new Role
            {
                Id = Id,
                ClientId = "sys",
                Name = "sysadmin_role",
                DisplayName = "系统管理员",
                Description = "系统管理员",
                CreationTime = DateTime.Now
            }
        };
}