﻿using Hotline.Users;
using XF.Domain.Entities;

namespace Hotline.SeedData;

public class UserSeedData : ISeedData<User>
{
    /// <summary>
    /// 种子数据
    /// </summary>
    /// <returns></returns>
    public IEnumerable<User> HasData() =>
        new[]
        {
            new User
            {
                Id = SysAccountSeedData.Id,
                Name = "系统管理员",
                CreationTime = DateTime.Now,
            }
        };
}