﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    [Description("字典类型表")]
    public class SysDicType: CreationEntity
    {
        /// <summary>
        /// 字典类型名称
        /// </summary>
        public string DicTypeName { get; set; }

        /// <summary>
        /// 字典类型编码
        /// </summary>
        public string DicTypeCode { get; set; }


        [Navigate(NavigateType.OneToMany, nameof(SysDicData.DicTypeId))]
        public List<SysDicData> SysDicDatas { get; set; }
    }
}
