﻿using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    public class SystemArea: CreationEntity
    {
        /// <summary>
        /// 区域名称
        /// </summary>
        public string AreaName { get; set; }

        /// <summary>
        /// 上级ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ParentId { get; set; }

        /// <summary>
        /// 简称
        /// </summary>
        public string AreaNameAbbreviation { get; set; }


        [SugarColumn(IsIgnore = true)]
        public List<SystemArea> Children { get; set; }
    }
}
