﻿using SqlSugar;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    /// <summary>
    /// 用户快捷入口设置
    /// </summary>
    public class UserFastMenu:CreationEntity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public string UserId { get; set; }

        /// <summary>
        /// 快捷菜单集合
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(4000)", IsJson = true)]
        public List<string> FastMenuArr { get; set; }
    }
}
