﻿using NewRock.Sdk.Control.Request;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NewRock.Sdk.Accept.Request;

namespace NewRock.Sdk
{
    public partial interface INewRockClient
    {

        #region 来电受理

        /// <summary>
        /// 来电受理
        /// </summary>
        /// <param name="request"></param>
        /// <param name="key"></param>
        /// <param name="expired"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<NewRockResponse?> AcceptVisitor(AcceptVisitorRequest request, string key, int expired,
            CancellationToken cancellationToken)
            => ExecuteAsync<AcceptVisitorRequest, NewRockResponse>(request, key, expired, cancellationToken);


        #endregion
    }
}
