﻿// Copyright (c) 2018 Jon P Smith, GitHub: JonPSmith, web: http://www.thereformedprogrammer.net/
// Licensed under MIT license. See License.txt in the project root for license information.

using Microsoft.AspNetCore.Authorization;

namespace Hotline.Permissions
{
    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Class, Inherited = false)]
    public class PermissionAttribute : AuthorizeAttribute
    {
        public PermissionAttribute(EPermission permission) : base(permission.ToString())
        { }
    }
}