﻿using Hotline.Share.Enums.Settings;
using XF.Domain.Authentications;
using XF.Domain.Entities;

namespace Hotline.Repository.SqlSugar.DataPermissions;

public interface IDataPermissionManager
{
    EAuthorityType GetQueryFilter<TEntity>(ISessionContext sessionContext) where TEntity : class, IEntity<string>, IDataPermission, new();
    (string orgId, string orgCode, string creatorId, string? areaId) GetDataPermissionOptions();
}