﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.Definitions;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Share.Requests;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.FlowEngine
{
    public class DefinitionRepository : BaseRepository<Definition>, IDefinitionRepository, IScopeDependency
    {
        public DefinitionRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {
        }
    }
}
