﻿namespace Hotline.Share.Dtos.Roles
{
    public class RoleDto : AddRoleDto
    {
        public string Id { get; set; }
        public IReadOnlyList<string> AccountIds { get; set; }
        public string State { get; set; }
    }

    public class AddRoleDto
    {
        public string Name { get; set; }
        
        public string DisplayName { get; set; }

        public string? Description { get; set; }
    }

    public class UpdateRoleDto
    {
        public string Id { get; set; }
        
        public string DisplayName { get; set; }

        public string? Description { get; set; }
    }
}
