﻿namespace Hotline.Share.Dtos.Users;

public record WorkDto
{
    public string Id { get; set; }

    /// <summary>
    /// 绑定分机时间
    /// </summary>
    public DateTime StartTime { get; set; }

    /// <summary>
    /// 解绑分机时间
    /// </summary>
    public DateTime? EndTime { get; set; }

    public string UserId { get; set; }

    public string TelId { get; set; }

    /// <summary>
    /// 分机号（冗余）
    /// </summary>
    public string TelNo { get; set; }

    /// <summary>
    /// 姓名（冗余）
    /// </summary>
    public string UserName { get; set; }

    /// <summary>
    /// 工作时长（单位：秒）
    /// </summary>
    public double WorkingDuration { get; set; }
}