﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

/// <summary>
/// 受理类型
/// </summary>
public enum EAcceptType
{
    [Description("其他")]
    Other = 0,

    /// <summary>
    /// 咨询
    /// </summary>
    [Description("咨询")]
    Consult = 1,

    /// <summary>
    /// 建议
    /// </summary>
    [Description("建议")]
    Suggest = 2,

    /// <summary>
    /// 求助
    /// </summary>
    [Description("求助")]
    SeekHelp = 3,

    /// <summary>
    /// 表扬
    /// </summary>
    [Description("表扬")]
    Praise = 4,

    /// <summary>
    /// 举报
    /// </summary>
    [Description("举报")]
    Report = 5,

    /// <summary>
    /// 投诉
    /// </summary>
    [Description("投诉")]
    Complain = 6,
}