﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

public enum EChannel
{
    /// <summary>
    /// 电话
    /// </summary>
    [Description("电话")]
    Phone = 0,

    /// <summary>
    /// 门户网站
    /// </summary>
    [Description("门户网站")]
    Web = 1,

    /// <summary>
    /// 微信小程序
    /// </summary>
    [Description("微信小程序")]
    WxMiniProgram = 2,

    /// <summary>
    /// 微信公众号
    /// </summary>
    [Description("微信公众号")]
    WxOfficial = 3,

    [Description("App")]
    App = 4,


}