﻿using Hotline.Share.Notifications.Base;
using MediatR;

namespace Hotline.Share.Notifications
{
    /// <summary>
    /// 分机外呼，外部电话回铃
    /// </summary>
    public class AlertExtToOuterNotification : BaseEvent, INotification
    {
        /// <summary>
        /// 分机号
        /// </summary>
        public string TelNo { get; set; }

        /// <summary>
        /// 外部电话
        /// </summary>
        public BaseOuter Outer { get; set; }
    }
}
