﻿using XF.Domain.Entities;

namespace Hotline.FlowEngine;

public class FlowAssignMode
{
    public FlowAssignMode(EFlowAssignType flowAssignType, List<string> handlers)
    {
        FlowAssignType = flowAssignType;
        Handlers = handlers;
    }

    /// <summary>
    /// 流程指派类型
    /// </summary>
    public EFlowAssignType FlowAssignType { get; set; }

    /// <summary>
    /// 办理人/办理部门（UserIds/OrgCodes）
    /// </summary>
    public List<string> Handlers { get; set; }
}