﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.FlowEngine.Workflows
{
    /// <summary>
    /// 接办部门(上级办理时指派了下级,即生成记录)
    /// </summary>
    public class WorkflowAssign : CreationEntity
    {
        public string WorkflowId { get; set; }

        public string OrgCode { get; set; }

        public string OrgName { get; set; }

        public static WorkflowAssign Create(string workflowId, string orgCode, string orgName)
        {
            return new WorkflowAssign
            {
                WorkflowId = workflowId,
                OrgCode = orgCode,
                OrgName = orgName,
            };
        }
    }
}
