﻿using Hotline.Share.Enums.KnowledgeBase;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase;

/// <summary>
/// 申请
/// </summary>
public class KnowledgeApply : FullStateEntity
{
    public string Content { get; set; }

    /// <summary>
    /// 申请类型
    /// </summary>
    public EKnowledgeApplyType KnowledgeApplyType { get; set; }

    /// <summary>
    /// 申请状态
    /// </summary>
    public EKnowledgeApplyStatus Status { get; set; }

    /// <summary>
    /// 申请处理部门编码
    /// </summary>
    public string DepartmentCode { get; set; }

    /// <summary>
    /// 申请处理部门名称
    /// </summary>
    public string Department { get; set; }

    /// <summary>
    /// 截止时间
    /// </summary>
    public DateTime? ExpiredTime { get; set; }

    ///// <summary>
    ///// 处理完成
    ///// </summary>
    //public Operation? Handled { get; set; }
}