﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    [Description("字典表")]
    public class SysDicData: CreationEntity
    {
        /// <summary>
        /// 字典类型Id
        /// </summary>
        public string DicTypeId { get; set; }

        /// <summary>
        /// 字典类型Code
        /// </summary>
        public string DicTypeCode { get; set; }

        /// <summary>
        /// 字典名称
        /// </summary>
        public string DicDataName { get; set; }

        /// <summary>
        /// 字典值
        /// </summary>
        public string DicDataValue { get; set; }

        /// <summary>
        /// 上级ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? ParentId { get; set; }

        [SugarColumn(IsIgnore = true)]
        public List<SysDicData> Children { get; set; }
    }
}
