﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Entities;
using XF.Domain.Repository;

namespace Hotline.Settings
{
    [Description("按钮表")]
    public class SystemButton: CreationEntity
    {
        /// <summary>
        /// 按钮名称
        /// </summary>
        public string BtnName { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int DisplayOrder { get; set; }

        /// <summary>
        /// 菜单ID
        /// </summary>
        public string MenuId { get; set; }

        /// <summary>
        /// 功能点Code
        /// </summary>
        [SugarColumn(IsNullable =  true)]
        public string PermissionCode { get; set; }

    }
}
