﻿using NewRock.Sdk.Control.Request.Base;
using System.Xml.Serialization;
using static System.Net.Mime.MediaTypeNames;

namespace NewRock.Sdk.Control.Request
{

    /// <summary>
    /// <?xml version="1.0" encoding="utf-8" ?>
    ///<Control attribute = "Talk" >
    ///<ext id="201"/>
    ///<ext id="208"/>
    ///</Control>
    /// </summary>
    [XmlRoot(ElementName = "Control")]
    public class MonitorExtRequest: INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        /// <summary>
        /// 下标为0 为监听方  下标为1为被监听方
        /// </summary>
        [XmlElement("ext")]
        public List<Ext> Exts { get; set; }

    }
}
