﻿namespace NewRock.Sdk.Events;

public class Event
{
    #region 普通事件

    /// <summary>
    /// 分机上线事件（ONLINE）
    /// </summary>
    public const string ONLINE = "ONLINE";

    /// <summary>
    /// 分机离线事件（OFFLINE）
    /// </summary>
    public const string OFFLINE = "OFFLINE";

    /// <summary>
    /// 分机空闲事件（IDLE）
    /// </summary>
    public const string IDLE = "IDLE";

    /// <summary>
    /// 分机忙事件（BUSY）
    /// </summary>
    public const string BUSY = "BUSY";

    /// <summary>
    /// 振铃事件（RING）
    /// </summary>
    public const string RING = "RING";

    /// <summary>
    /// 回铃事件（ALERT）
    /// </summary>
    public const string ALERT = "ALERT";

    /// <summary>
    /// 呼叫应答事件（ANSWER）
    /// </summary>
    public const string ANSWER = "ANSWER";

    /// <summary>
    /// 呼叫被应答事件（ANSWERED）
    /// </summary>
    public const string ANSWERED = "ANSWERED";

    /// <summary>
    /// 通话结束事件（BYE）
    /// </summary>
    public const string BYE = "BYE";

    /// <summary>
    /// 呼叫转移时间
    /// </summary>
    public const string DIVERT = "DIVERT";

    /// <summary>
    /// 呼叫临时事件
    /// </summary>
    public const string TRANSIENT = "TRANSIENT";

    /// <summary>
    /// 呼叫失败事件
    /// </summary>
    public const string FAILED = "FAILED";

    /// <summary>
    /// 来电呼入控制流程事件
    /// </summary>
    public const string INVITE = "INVITE";

    /// <summary>
    /// 来电呼入事件
    /// </summary>
    public const string INCOMING = "INCOMING";

    /// <summary>
    /// 按键信息事件
    /// </summary>
    public const string DTMF = "DTMF";

    /// <summary>
    /// 语音文件播放完毕事件
    /// </summary>
    public const string EndOfAnn = "EndOfAnn";

    /// <summary>
    /// 分机组队列事件
    /// </summary>
    public const string QUEUE = "QUEUE";

    /// <summary>
    /// 系统启动事件
    /// </summary>
    public const string BOOTUP = "BOOTUP";

    #endregion

    #region 通话记录报告



    #endregion

}