﻿using System.Xml.Serialization;
using NewRock.Sdk.Control.Request.Base;
using NewRock.Sdk.Events.Base;

namespace NewRock.Sdk.Events
{
    [XmlRoot("Event")]
    public class RingEvent: NewRockEvent
    {
        [XmlElement("ext")]
        public List<Ext> Ext { get; set; }

        [XmlElement("visitor")]
        public BaseVisitor? Visitor { get; set; }

        [XmlElement("outer")]
        public BaseOuter? Outer { get; set; }

        [XmlElement("menu")]
        public BaseMenu? Menu { get; set; }
    }

    
}
